Consultar ligação
curl --request GET \
--url https://api.notifique.dev/v1/voice/calls/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/voice/calls/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/voice/calls/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/voice/calls/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true
}{
"success": false,
"error": "Bad Request",
"code": "VALIDATION_ERROR",
"message": "Campo inválido ou ausente."
}{
"success": false,
"error": "Forbidden",
"message": "Missing scope: voice:call",
"code": "FORBIDDEN"
}{
"success": false,
"error": "Bad Request",
"code": "VALIDATION_ERROR",
"message": "Campo inválido ou ausente."
}Voice: Chamadas
Consultar ligação
Consulta status e detalhes de uma ligação.
GET
/
v1
/
voice
/
calls
/
{id}
Consultar ligação
curl --request GET \
--url https://api.notifique.dev/v1/voice/calls/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.notifique.dev/v1/voice/calls/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/voice/calls/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/voice/calls/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true
}{
"success": false,
"error": "Bad Request",
"code": "VALIDATION_ERROR",
"message": "Campo inválido ou ausente."
}{
"success": false,
"error": "Forbidden",
"message": "Missing scope: voice:call",
"code": "FORBIDDEN"
}{
"success": false,
"error": "Bad Request",
"code": "VALIDATION_ERROR",
"message": "Campo inválido ou ausente."
}Autorizações
ntfVoiceBearerAuthntfVoiceApiKeyHeader
API Key no formato Bearer (ex.: sk_live_...).
Parâmetros de caminho
Parâmetros de consulta
Se true, inclui events na resposta.
Opções disponíveis:
true, false Resposta
Detalhe da chamada.
Show child attributes
Show child attributes
Exemplo:
{
"id": "clxx...",
"workspaceId": "clxx...",
"phoneNumberId": "clxx...",
"direction": "OUTBOUND",
"fromE164": "string",
"toE164": "string",
"status": "QUEUED",
"callSessionId": "clxx...",
"callLegId": "clxx...",
"answeredAt": "2025-02-10T14:00:00.000Z",
"endedAt": "2025-02-10T14:00:00.000Z",
"durationSecs": 1,
"hangupCause": "string",
"recordingAvailable": true,
"recordingId": "clxx...",
"dtmfDigits": "string",
"gatherResult": "string",
"machineDetectionResult": "string",
"speakText": "string",
"playAudioUrl": "string",
"chargedAs": "string",
"chargeAmount": 1,
"clientState": "string",
"metadata": {},
"createdAt": "2025-02-10T14:00:00.000Z",
"updatedAt": "2025-02-10T14:00:00.000Z"
}
Esta página foi útil?

